import request from '@/utils/request'

// 查询继续教育分类列表
export function listContinuingEducationClass(query) {
  return request({
    url: '/hezhi/continuingEducationClass/list',
    method: 'get',
    params: query
  })
}

// 查询继续教育分类详细
export function getContinuingEducationClass(continuingEducationClassId) {
  return request({
    url: '/hezhi/continuingEducationClass/' + continuingEducationClassId,
    method: 'get'
  })
}

// 新增继续教育分类
export function addContinuingEducationClass(data) {
  return request({
    url: '/hezhi/continuingEducationClass',
    method: 'post',
    data: data
  })
}

// 修改继续教育分类
export function updateContinuingEducationClass(data) {
  return request({
    url: '/hezhi/continuingEducationClass',
    method: 'put',
    data: data
  })
}

// 删除继续教育分类
export function delContinuingEducationClass(continuingEducationClassId) {
  return request({
    url: '/hezhi/continuingEducationClass/' + continuingEducationClassId,
    method: 'delete'
  })
}

// 查询继续教育分类列表
export function getAllContinuingEducationClassList() {
  return request({
    url: '/hezhi/continuingEducationClass/getAllContinuingEducationClassList',
    method: 'get'
  })
}
